<template>
	<div class="l-home">
		<div class="c-header h-rowflex">
			<img class="logo" src="~/assets/images/playvox_logo.svg" alt />
		</div>
		<DinamicFiltersTable
			:filter_conf="filter_conf"
			:table_conf="table_conf"
			:user_requests="user_requests"
		/>
		
	</div>
</template>

<script>
import DinamicFiltersTable from "@/components/dinamic-filters-table";
export default {
  components: {
	DinamicFiltersTable
  },
  data() {
	return {
		filter_conf: [],
		table_conf: [],
		user_requests: [],
	};
  },
  created() {
	this.filter_conf = [
		{
			"_id": "user",
			"type": "string",
			"label": "User name",
			"active":false,
			"control_type":"input",
			"search_text": ""
		},
		{
			"_id": "subject",
			"type": "string",
			"label": "Subject",
			"active":false,
			"control_type":"input",
			"search_text": ""
		},
		{
			"_id": "status",
			"type": "string",
			"label": "Status",
			"active":true,
			"control_type":"list",
			"values": [
				{
					"_id": "all",
					"name": "All status",
				},
				{
					"_id": "open",
					"name": "Open",
					"operator":"equal"
				},
				{
					"_id": "pending",
					"name": "Pending",
					"operator":"equal"
				},
				{
					"_id": "solved",
					"name": "Solved",
					"operator":"equal"
				}
			]
		},
		{
			"_id": "priority",
			"type": "string",
			"label": "Priority",
			"active":false,
			"control_type":"list",
			"values": [
				{
					"_id": "all",
					"name": "All priorities",
				},
				{
					"_id": "high",
					"name": "Hight",
					"operator":"equal"
				},
				{
					"_id": "medium",
					"name": "Medium",
					"operator":"equal"
				},
				{
					"_id": "low",
					"name": "Low",
					"operator":"equal"
				}
			]
		},
		{
			"_id": "csat",
			"type": "number",
			"label": "Customer satisfaction",
			"active":false,
			"control_type":"list",
			"values": [
				{
					"_id": "all",
					"name": "All customer satisfaction"
				},
				{
					"_id": 90,
					"name": "Greater than 90%",
					"operator":"gt"
				},
				{
					"_id": 80,
					"name": "Greater than 80%",
					"operator":"gt"
				},
				{
					"_id": 60,
					"name": "Greater than 60%",
					"operator":"gt"
				},
				{
					"_id": 90,
					"name": "Lower than 90%",
					"operator":"lt"
				},
				{
					"_id": 80,
					"name": "Lower than 80%",
					"operator":"lt"
				},
				{
					"_id": 60,
					"name": "Lower than 60%",
					"operator":"lt"
				},
			]
		}
	]
	this.table_conf = [
		{
			"column_name":"id",
			"column_alias":"Id",
			"visible":false,
			"class":"text_align--left --ellipsis font_weight--300 width--medium"
		},
		{
			"column_name":"user",
			"column_alias":"User name",
			"visible":true,
			"class":"text_align--left --ellipsis font_weight--300 width--medium"
		},
		{
			"column_name":"subject",
			"column_alias":"Subject",
			"visible":true,
			"class":"text_align--left --ellipsis font_weight--300 width--medium"
		},
		{
			"column_name":"body",
			"column_alias":"Descripción",
			"visible":false,
			"class":"text_align--left --ellipsis font_weight--300 width--medium"
		},
		{
			"column_name":"csat",
			"column_alias":"Customer Satisfaction",
			"visible":true,
			"class":"text_align--left --ellipsis font_weight--300 width--medium",
			"symbol_after":"%"
		},
		{
			"column_name":"priority",
			"column_alias":"Priority",
			"visible":true,
			"class":"text_align--left --ellipsis font_weight--300 width--medium",
			"semaphore_before":{
				"high":"semaphore--high",
				"medium":"semaphore--medium",
				"low":"semaphore--low",
			}
		},
		{
			"column_name":"status",
			"column_alias":"Status",
			"visible":true,
			"class":"text_align--left --ellipsis font_weight--300 width--medium"
		},
	]
	this.user_requests = [
		{
			'id': 0,
			'user':'Andrés Gómez',
			'subject': "No puedo ingresar a mi cuenta",
			'body': "Hola necesito ayuda para recuperar la contraseña de mi cuenta, ¿me pueden ayudar?",
			'csat': 100,
			'priority': "high",
			'status': "solved",
		},
		{
			'id': 1,
			'user':'Ezequiel Salatino',
			'subject': "Necesito ayuda, no puedo ingresar a mi cuenta de playvox",
			'body': "Hola necesito ayuda para recuperar la contraseña de mi cuenta, ¿me pueden ayudar?",
			'csat': 75,
			'priority': "medium",
			'status': "open",
		},
		{
			'id': 2,
			'user':'Emiliano Concenza',
			'subject': "No puedo ingresar a mi cuenta",
			'body': "Hola necesito ayuda para recuperar la contraseña de mi cuenta, ¿me pueden ayudar?",
			'csat': 55,
			'priority': "low",
			'status': "pending",
		}
	]
  }
};
</script>

